> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-exportedinterfaces-igluestate.md).

# flatredball-glue-exportedinterfaces-igluestate

### Introduction

The IGlueState interface provides a centralized way to get information about the current state of Glue. IGlueState is very similar to [IGlueCommands](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) in that an instance of IGlueState can be provided to your plugin automatically through the plugin system (see below for more details).

### Using IGlueState

Any plugin can get access to an instance of IGlueState . To do so, add the following to your plugin class:

```
       [Import("GlueState")]
       public IGlueState GlueState 
       {
           get;
           set;
       }
```

That's all you have to do. The plugin system that Glue uses will automatically assign an instance to this interface. That means that your class can immediately start using the GlueState instance in its code with no additional hookup.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-exportedinterfaces-igluestate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
